# Configuracion del puerto
server.port=8080

# Configuraciones de la conexion con la base de datos mysql
spring.datasource.url=jdbc:mysql://localhost/encargo?serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=admin

#Configuracion de logs
logging.pattern.dateformat=hh:mm
spring.main.banner-mode=off

# Configuraciones de Hibernate y JPA
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.jpa.database-platform=org.hibernate.dialect.MySQL8Dialect
spring.jpa.generate-ddl=true

# La siguiente configuracion, Crea la tabla en la base de datos con cada inicio desde 0
# spring.jpa.hibernate.ddl-auto=create 

# Configuracion para creacion de tablas en base de datos
# update (actualiza informacion), create (crea nuevas tablas con cada inicio)
# create-drop (crea nuevas tablas con cada inicio y las elimina al cerrar el servidor)
spring.jpa.hibernate.ddl-auto=update 

# Las configuraciones para liberar un archivo con el query para generar tablas en base de datos
# spring.jpa.properties.javax.persistence.schema-generation.scripts.action=create
# spring.jpa.properties.javax.persistence.schema-generation.scripts.create-target=create.sql
# spring.jpa.properties.javax.persistence.schema-generation.scripts.create-source=metadata